Показано с 1 по 2 из 2

Тема: Запуск SSH с версией PHP7

  1. #1

    Exclamation Запуск SSH с версией PHP7

    Здравствуйте. Подскажите как можно, чтоб ssh использовал не штатный php 5.4 а php7
    Дело в том что например сделать алиас типа alias php='/opt/php70/bin/php-cgi' не подходит.
    Он подойдет только если запускать скрипт напрямую.
    У меня требуется запуск composer который видит старую версию на ssh

  2. #2
    Cool UNIX admin Аватар для ls
    Регистрация
    12.03.2007
    Сообщений
    10,471

    По умолчанию

    А сделать линк (сохранив старый php-cgi под другим именем) не вариант для вас?
    Код:
    mv /usr/bin/php-cgi /usr/bin/php54-cgi
    ln /opt/php70/bin/php-cgi /usr/bin/php-cgi

Метки этой темы

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •